Open Infrastructure - Task #10615

Add new ZFS based FreeBSD image
06/12/2022 06:41 AM - Nico Schottelius

Status: Closed Start date: 06/12/2022
Priority: Normal Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ Requested and development provided by Jgrn Ane de Jong
e Script provided at

https://code.ungleich.ch/ungleich-public/ungleich-tools/src/branch/master/opennebula-images/freebsd-build-opennebula-image.

sh

Build

ungleich-tools/opennebula-images/freebsd-build-opennebula-image.sh

Import

[08:26:23] server2.place5:~$ scp root@[2a0a:e5c0:2:12:0:f0ff:fea9:c3ca]:amd64/freebsd-z£fs-13.1-REL
EASE-2022-06-12.img.qgcow2 /var/tmp/; oneimage create --datastore ceph_image_ssd_place6 —--name free
bsd-zfs-13.1-RELEASE-2022-06-12 —-path /var/tmp/freebsd-zfs-13.1-RELEASE-2022-06-12.1img.qcow2

Warning: Permanently added '2a0a:e5c0:2:12:0:f0ff:fea%:c3ca’
freebsd-zfs-13.1-RELEASE-2022-06-12.1img.gcow?2 100%
ID: 633

Test

e Creating templates for ipv6only and dualstack
¢ Checking ssh access
¢ Checking growfs

(ECDSA) to the list of known hosts.
399MB 67.7MB/s 00:05

History

#1 - 06/12/2022 08:03 PM - Nico Schottelius

- Assignee set to Mondi Ravi

Ping Mondi:

e Can you create the dynamicweb entries and test the flow?
¢ We should name the image "FreeBSD 13.1 ZFS"

#2 - 06/13/2022 07:11 AM - Mondi Ravi

Checking now

#3 - 06/13/2022 07:56 AM - Mondi Ravi

@Nico Schottelius there seems to be public-* (dualstack) template and no ipv6only template. So, | created one, identical to dual stack but with

ipv6only nic.
Its called ipv6only-FreeBSD 13.1-ZFS
The dual stack works on staging.

Testing IPv6only now.
https://code.ungleich.ch/ungleich-public/ungleich-tools/src/branch/master/opennebula-images/freebsd-build-opennebula-image.sh
https://code.ungleich.ch/ungleich-public/ungleich-tools/src/branch/master/opennebula-images/freebsd-build-opennebula-image.sh
http://localhost:3000/users/3

#4 - 06/13/2022 08:27 AM - Mondi Ravi
Just finished the testing. The templates work fine. Let me know if we want to put them on production @Nico Schottelius

#5 - 06/23/2022 01:06 PM - Nico Schottelius

Mondi, please go ahead - very soon would be good as people on Twitter are talking about is/FreeBSD atm

#6 - 06/23/2022 01:41 PM - Mondi Ravi

Putting this on production now.

#7 - 06/23/2022 02:28 PM - Mondi Ravi
- Status changed from In Progress to Feedback

- Assignee changed from Mondi Ravi to Nico Schottelius

freebsd 13.1 zfs is now on production.

- datacenterlight.ch/{en-us,de} landing and hosting pages
- ipvbonlyhosting landing and hosting pages

#8 - 06/23/2022 04:15 PM - Nico Schottelius
- Status changed from Feedback to Closed

Looks good to me, closing!
